Bug 1308430 - Cleaning up old tasks, sync status wrongly shows repos "Never synced"
Cleaning up old tasks, sync status wrongly shows repos "Never synced"
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
Nightly
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 03:37 EST by Pavel Moravec
Modified: 2017-10-14 07:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2016-02-15 03:37:32 EST
Description of problem:
Applying patch from bz1289384, and running the cleanup script with AFTER=.. longer than a repo has been synced, Sync Status page shows the repo has not been synced ever.

I suggest this improvement: in case "Never synced" is about to appear, check if pulp repo has been synced, i.e. by running:

pulp-admin repo tasks list --repo-id <id>

(and finding newest sync operation)

or by querying repo_sync_results collection in mongodb (somehow via pulp, I guess)


Version-Release number of selected component (if applicable):
Sat6.2 / Sat6.1.6 patched by bz1289384 (foreman-tasks commit fb88f07)


How reproducible:
100%


Steps to Reproduce:
1. Sync a repo >1 day ago
2. foreman-rake foreman_tasks:cleanup AFTER=1d FILTER=
3. Check Sync status in WebUI


Actual results:
3. shows the repo "Never synced"


Expected results:
3. to show same info like before (without the cleanup script called)


Additional info:
kudos to Nikola Stiasni who discovered this bug.
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:36:07 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Stuart Auchterlonie 2016-09-09 07:04:44 EDT
Would it not make sense to maintain the sync status as part of the metadata of
the repository?
Comment 6 Pavel Moravec 2016-09-09 07:15:34 EDT
(In reply to Stuart Auchterlonie from comment #5)
> Would it not make sense to maintain the sync status as part of the metadata
> of
> the repository?

I think repository metadata are generated only when publishing the repository, what is a different pulp action than repo sync. It usually (always?) follows repo sync, though.

Moreover, repo metadata are AFAIK just written to the disk under /var/lib/pulp and just pulp knows the proper location. It would be weird to get info about latest repo sync (katello request) from something written by pulp to the disk..
Comment 7 Stuart Auchterlonie 2016-09-09 07:52:22 EDT
Here's me thinking we stored that info in the database somewhere :)

Note You need to log in before you can comment on or make changes to this bug.